//protractorconf.js

//var ScreenShotReporter = require('protractor-screenshot-reporter'); //O plugin protractor-screenshot-reporter deve estar instalado

module.exports.config = {

  seleniumAddress: 'http://localhost:4444/wd/hub',

  capabilities: {
    browserName: 'chrome',
    chromeOptions: {
      args: ['disable-popup-blocking']
    }
  },

  specs: [
    'spec.js'
    , './authentication/*.spec.js'
    , './helper/*.spec.js'
    , './page-objects/*.spec.js'
    , './spec/compras/*.spec.js'
    , './spec/custos/*.spec.js'
    , './spec/faturamento/*.spec.js'
    , './spec/planejamento/retirada_pla.spec.js'
    , './spec/suprimentos/*.spec.js'
    , './spec/fechardia/*.spec.js'
    , './spec/parametrizacao/contabilidade/*.spec.js'
    , './spec/parametrizacao/faturamento/*.spec.js'
    , './spec/parametrizacao/fiscal/*.spec.js'
    , './spec/parametrizacao/geral/*.spec.js'
    , './spec/parametrizacao/planejamento/*.spec.js'
    , './spec/sair/*.spec.js'
  ],

  baseUrl: 'http://teste.teknisa.com/teknisa/tecfood_pla_PROD_1099_SUB_10829'

  /*jasmineNodeOpts: {
    onComplete: null, //confirar o intervalo de time out
    isVerbose: true,
    showColors: true,
    includestacktrace: true,
    defaultTimeoutInterval: 360000 //define o time out
  },*/

 /*onPrepare: function() {
    // Adciona um screenshot reporter e armazena screenshots na pasta './screnshots':
    //  jasmine.getEnv().addReporter(new ScreenShotReporter({
    //     baseDirectory: '/screenshots'
    //  }));
   }*/

};